FLANG

Public Member Functions | Public Attributes | List of all members
Fortran::evaluate::BaseObject Struct Reference

## Public Member Functions
int | Rank () const
std::optional< Expr< SubscriptInteger > > | LEN () const
llvm::raw_ostream & | AsFortran (llvm::raw_ostream &) const
const Symbol * | symbol () const

## Public Attributes
std::variant< SymbolRef, StaticDataObject::Pointer > | u

The documentation for this struct was generated from the following files:

- include/flang/Evaluate/variable.h
- lib/Evaluate/formatting.cpp
- lib/Evaluate/variable.cpp